import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * The death animation is a small explosion that can be used to indicate death for 
 * any object of class Enemy
 */
public class DeathAnimation extends Enemy
{
    private int timer = 0;

    private GreenfootImage image1, image2, image3, image4, image5, image6, image7, image8,
    image9, image10, image11, image12, image13, image14, image15, image16;

    public DeathAnimation()
    {
        image1 = new GreenfootImage("ex1.png");
        image2 = new GreenfootImage("ex2.png");
        image3 = new GreenfootImage("ex3.png");
        image4 = new GreenfootImage("ex4.png");
        image5 = new GreenfootImage("ex5.png");
        image6 = new GreenfootImage("ex6.png");
        image7 = new GreenfootImage("ex7.png");
        image8 = new GreenfootImage("ex8.png");
        image9 = new GreenfootImage("ex9.png");
        image10 = new GreenfootImage("ex10.png");
        image11 = new GreenfootImage("ex11.png");
        image12 = new GreenfootImage("ex12.png");
        image13 = new GreenfootImage("ex13.png");
        image14 = new GreenfootImage("ex14.png");
        image15 = new GreenfootImage("ex15.png");
        image16 = new GreenfootImage("ex16.png");

    }

    public void act() 
    {
        animateDeath();
    } 

    public void animateDeath()
    {
        //Greenfoot.playSound("explosion.wav");
        
        timer++;
        if (timer > 0 && timer < 4)
        {
            setImage(image1);
        }
        if (timer > 3 && timer < 7)
        {
            setImage(image2);
        }
        if (timer > 6 && timer < 10)
        {
            setImage(image3);
        }
        if (timer > 9 && timer < 13)
        {
            setImage(image4);
        }
        if (timer > 12 && timer < 16)
        {
            setImage(image5);
        }
        if (timer > 15 && timer < 19)
        {
            setImage(image6);
        }
        if (timer > 18 && timer < 22)
        {
            setImage(image7);
        }
        if (timer > 21 && timer < 25)
        {
            setImage(image8);
        }
        if (timer > 24 && timer < 28)
        {
            setImage(image9);
        }
        if (timer > 27 && timer < 31)
        {
            setImage(image10);
        }
        if (timer > 30 && timer < 34)
        {
            setImage(image11);
        }
        if (timer > 33 && timer < 37)
        {
            setImage(image12);
        }
        if (timer > 36 && timer < 40)
        {
            setImage(image13);
        }
        if (timer > 39 && timer < 43)
        {
            setImage(image14);
        }
        if (timer > 42 && timer < 46)
        {
            setImage(image15);
        }
        if (timer > 45 && timer < 49)
        {
            setImage(image16);
        }
        if (timer > 48)
        {
            getWorld().removeObject(this);
        }
    }
}
