import greenfoot.*;
import java.awt.Color;

/**the display class will take values from actor classes and display them on the world*/

public class Display extends Actor
{
    private static final Color textColor = new Color(255, 255, 255);
    private String text;
    private int stringLength;
    private static int value;

    public Display(String prefix)
    {
        text = prefix;
        stringLength = (text.length() + 2) * 10;

        setImage(new GreenfootImage(stringLength, 16));
        GreenfootImage image = getImage();
        image.setColor(textColor);

        updateImage();
    }

    public void updateImage()
    {
        GreenfootImage image = getImage();
        image.clear();
        image.drawString(text + value, 1, 12);
    }

    public void displayValue(int score)
    {
        value = score;
    }

    public void act() 
    {
        // Add your action code here.
    }  

}
