import greenfoot.*;

public class Spear extends Weapons
{
    private int timer;
    
    private GreenfootImage spear;
    
    private int spearSpeed = 10;
    
    private static final int damage = 20;
    
    public Spear()
    {
        spear = new GreenfootImage("spear.png");
        
        setImage(spear);
    }
    
    public void act()
    {
        checkHit();
        move(spearSpeed);
    }
    
    private void checkHit()
    {
        Hero hero = (Hero) getOneIntersectingObject(Hero.class);
        if (hero != null)
        {
            getWorld().removeObject(this);
            hero.hit(damage);
        }
        else if(atWorldEdge())
        {
            getWorld().removeObject(this);
        }
    }
}