import greenfoot.*;  
import java.awt.Color;

public class EndWorld extends World
{
    //declaring a variable to store a GameWin instance
    private GameWin win;

    public EndWorld()
    {    
        super(900, 600, 1); 
        GreenfootImage background = getBackground();
        background.setColor(new Color(80, 80, 80));
        background.fill();
        
        addObject(new HeroWinner(), getWidth() / 2, 80);
                
        Greenfoot.playSound("HeroWinMusic.mid");
        
        win = new GameWin();
        addObject(win, getWidth() / 2, getHeight() / 2 + 60);
                
    }
}
