import greenfoot.*;  

public class Fire extends Weapons
{   
    private int timer;
    
    private GreenfootImage fire1, fire2, fire3, fire4, fire5;
    
    //speed of projectile
    private int fireSpeed= 10;
    
    private int fireLife = 20;
    
    private static final int damage = 20;
    
    public Fire()
    {
        fire1 = new GreenfootImage("fire_1.png");
        fire2 = new GreenfootImage("fire_2.png");
        fire3 = new GreenfootImage("fire_3.png");
        fire4 = new GreenfootImage("fire_4.png");
        fire5 = new GreenfootImage("fire_5.png");
        
        setImage(fire1);
        
        Greenfoot.playSound("magic.wav");
    }
    
    //will damage enemy if it hits them.
    public void act() 
    {
        checkHit();
        move(fireSpeed);
        animateFire();
    }
        
    //try to detect a hit to the enemy.
    private void checkHit()
    {
        fireLife--;
        Hero hero = (Hero) getOneIntersectingObject(Hero.class);
        if (hero != null)
        {
            getWorld().removeObject(this);
            hero.hit(damage);
        }
        
        else if(fireLife <= 1)
        {
            getWorld().removeObject(this);
        }
//         else if(atWorldEdge())
//         {
//             getWorld().removeObject (this);
//         }
    }
    
    public void animateFire()
    {
        timer++;
        if (timer > 5 && timer < 10)
        {
            setImage(fire1);
        }
        if (timer > 9 && timer < 15)
        {
            setImage(fire2);
        }
        if (timer > 14 && timer < 20)
        {
            setImage(fire3);
        }
        if (timer > 19 && timer < 25)
        {
            setImage(fire4);
        }
        if (timer > 29)
        {
            setImage(fire5);
            timer = 0;
        }
    }
}
