import greenfoot.*;

public class Leaf extends Weapons
{

    private GreenfootImage image1, image2, image3, image4;
    
    //speed of projectile
    private int leafSpeed = 8;
    
    private int leafLife = 50;
    
    private int timer;
    
    private static final int damage = 40;
    
    public Leaf()
    {
        image1 = new GreenfootImage("leaf1.png");
        image2 = new GreenfootImage("leaf2.png");
        image3 = new GreenfootImage("leaf3.png");
        image4 = new GreenfootImage("leaf4.png");
        
        setImage(image1);
    }
    
    public void animateLeaf()
    {
        timer++;
        if (timer > 14 && timer < 30)
        {
            setImage(image2);
        }
        if (timer > 29 && timer < 45)
        {
            setImage(image3);
        }
        if (timer > 44 && timer < 60)
        {
            setImage(image4);
        }
        if (timer > 60)
        {
            setImage(image1);
            timer = 0;
        }
        
    }
    
    private void checkHit()
    {
        leafLife--;
        Hero hero = (Hero) getOneIntersectingObject(Hero.class);
        if (hero != null)
        {
            getWorld().removeObject(this);
            hero.hit(damage);
        }
        
        else if(leafLife <= 1)
        {
            getWorld().removeObject(this);
        }
    }
        
   
    public void act() 
    {
        animateLeaf();
        checkHit();
        move(leafSpeed);
    }    
}
