import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.util.List;

/**
 * Write a description of class Mover here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public abstract class Mover extends Actor
{

    public int DOWN = 90;
    public int UP = -90;
    public int LEFT = 180;
    public int RIGHT = 0;
    
    private int exactX;
    private int exactY;

    public int directionFacing = DOWN;
    
    public void act() 
    {
    }    

    public boolean canSee(Class clss)
    {
        Actor actor = getOneObjectAtOffset(0, 0, clss);
        return actor != null;
    }

    /**
     * Removes (eats) an object that can be seen.
     */
    public void eat(Class clss)
    {
        Actor actor = getOneObjectAtOffset(0, 0, clss);
        if(actor != null) {
            getWorld().removeObject(actor);
        }
    }

    public boolean atWorldEdge()
    {
        if(getX() <= 120 || getX() > getWorld().getWidth() - 20) return true;
        if(getY() <= 20 || getY() > getWorld().getHeight() - 20) return true;
        else return false;
    }

    public int getExactX()
    {
        return exactX;
    }

    public int getExactY()
    {
        return exactY;
    }

//     not certain if I will need this method, but I may use it later.
//     public void setLocation(double x, double y)
//     {
//         exactX = x;
//         exactY = y;
//     }
    
    public void setLocation(int x, int y)
    {
        exactX = x;
        exactY = y;
        super.setLocation(x, y);
    }

    public void flipSides()
    {

        if(exactX >= getWorld().getWidth() - 6)
        {
            exactX = 118;
        }
        if(exactX <= 115)
        {
            exactX = getWorld().getWidth() - 18;
        }
        if(exactY >= getWorld().getHeight() - 6)
        {
            exactY = 18;
        }
        if(exactY <= 6)
        {
            exactY = getWorld().getHeight() - 18;
        }
        super.setLocation((int) exactX, (int) exactY);
    }

    //this method is the start of turning the tiles into obstacles.
    //currently not working
    public boolean detectObstacle()
    {
        List<Tile> tiles = (List<Tile>) getIntersectingObjects(Tile.class);

        if(tiles != null)
        {
            return true;
        }
        else
        {
            return false;
        }

    }  
}
