import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

public class Sword extends Weapons
{
    /**
     * Act - do whatever the Sword wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */

    private GreenfootImage sword1;

    //Distance sword can travel before disappearing
    public static int swordDist;

    //speed of projectile
    private final int SWORDSPEED = 15;

    private static int damage;

    public Sword()
    {
        sword1 = new GreenfootImage("SwordRight.png");
        setImage(sword1);
        Greenfoot.playSound("sword.wav");
        damage = Hero.getSwordDamage();
        swordDist = Hero.getSwordLife();
    }

    //will damage enemy if it hits them.
    public void act() 
    {
        checkHit();
        move(SWORDSPEED);
    }

    //try to detect a hit to the enemy.
    private void checkHit()
    {
        swordDist--;

        Enemy e = (Enemy) getOneIntersectingObject(Enemy.class);
        if (e != null)
        {
            Skeleton skel = (Skeleton) getOneIntersectingObject(Skeleton.class);
            if (e == skel)
            {
                skel.hit(damage);
            }
            Ghost ghost = (Ghost) getOneIntersectingObject(Ghost.class);
            if (e == ghost)
            {
                ghost.hit(damage);
            }
            Robot robot = (Robot) getOneIntersectingObject(Robot.class);
            if (e == robot)
            {
                robot.hit(damage);
            }
            EvilKnight evil = (EvilKnight) getOneIntersectingObject(EvilKnight.class);
            if (e == evil)
            {
                evil.hit(damage);
            }
            LikeABoss lab = (LikeABoss) getOneIntersectingObject(LikeABoss.class);
            if (e == lab)
            {
                lab.hit(damage);
            }
            getWorld().removeObject(this);
        }

        else if (swordDist <= 1)
        {
            getWorld().removeObject(this);
        }
        
//         else if (atWorldEdge());
//             {
//                 getWorld().removeObject(this);
//             }

    }  
} 